Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface ICheckStateListener

    public interface ICheckStateListener

A listener which is notified of changes to the checked state of items in checkbox viewers.

See Also:
  `CheckStateChangedEvent`

Method Summary
`void` `checkStateChanged(CheckStateChangedEvent event)` Notifies of a change to the checked state of an element.

Method Detail

### checkStateChanged

    void checkStateChanged(CheckStateChangedEvent event)

  Notifies of a change to the checked state of an element.

  Parameters:
    `event` - event object describing the change

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.